<script>
	import { goto } from '$app/navigation'

	let appointments = [
		'12/04/2021 at 2:40 PM',
		'14/04/2021 at 4:40 PM',
		'15/04/2021 at 1:40 PM',
		'18/04/2021 at 4:40 PM',
		'20/04/2021 at 2:40 PM',
		'16/05/2021 at 3:40 PM'
	]
	let selected
</script>

<div class="h-full w-full p-4">
	<div class="flex mb-2 items-center">
		<button
			class="text-gray-400 block hover:text-gray-500"
			on:click={() => goto('/doctors')}
		>
			<svg class="h-6 w-6 block" fill="none" viewBox="0 0 24 24" stroke="currentColor">
				<path
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M11 15l-3-3m0 0l3-3m-3 3h8M3 12a9 9 0 1118 0 9 9 0 01-18 0z"
				/>
			</svg>
		</button>
		<h2 class="font-bold text-xl ml-2 leading-6">Appointments</h2>
	</div>

	<p class="mb-6 text-cool-gray-500">
		Please select one of the available appointments below
	</p>

	<fieldset>
		<legend class="sr-only">Appointments</legend>
		<div class="-space-y-px bg-white rounded-md">
			{#each appointments as appointment, i}
				<label
					class="border rounded-tl-md rounded-tr-md cursor-pointer flex p-4 relative focus:outline-none {selected ==
					i
						? 'bg-indigo-50 border-indigo-200 z-10'
						: 'border-gray-200'}"
				>
					<input
						type="radio"
						name="appointment"
						value={i}
						bind:group={selected}
						class="cursor-pointer border-gray-300 h-4 mt-0.5 text-indigo-600 w-4 focus:ring-indigo-500"
					/>
					<div class="flex flex-col ml-3">
						<span
							class="font-medium text-sm block {selected == i
								? 'text-indigo-900'
								: 'text-gray-900'}"
						>
							{appointment}
						</span>
					</div>
				</label>
			{/each}
		</div>
	</fieldset>
	{#if selected}
		<button
            on:click="{() => goto("/viewer")}"
			type="button"
			class="border border-transparent rounded-full flex font-medium mx-auto bg-indigo-600 shadow-sm mt-6 text-base text-white py-2 px-5 items-center hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
		>
			Book Appointment
		</button>
	{/if}
</div>
